### Function

# Gio DBusError set_dbus_error

since: 2.26

#### Declaration

    void
    g_dbus_error_set_dbus_error (
      GError** error,
      const gchar* dbus_error_name,
      const gchar* dbus_error_message,
      const gchar* format,
      ...
    )

#### Description

Does nothing if `error` is `NULL`. Otherwise sets *`error` to a new `GError` created with `g_dbus_error_new_for_dbus_error()` with `dbus_error_message` prepend with `format` (unless `NULL`).

Available since: 2.26

This function is not directly available to language bindings.

#### Parameters

`error`

  Type: `GError`

  A pointer to a `GError` or `NULL`.

  The data is owned by the caller of the function.

`dbus_error_name`

  Type: `const gchar*`

  D-Bus error name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`dbus_error_message`

  Type: `const gchar*`

  D-Bus error message.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`format`

  Type: `const gchar*`

  Printf()-style format to prepend to `dbus_error_message` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Arguments for `format`.